Skip to main content

👩🏻‍🔬 Sciences

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate science related data. Returns an array of properties, by default ten.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get science mockdata.

Get science mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/sciences
Accept: application/json

Response​

Example​

JSON
[
{
"chemicalElementSymbol": "Ga",
"chemicalElementName": "Gallium",
"chemicalElementAtomicNumber": 31,
"unitName": "lux",
"unitSymbol": "lx"
}
]

Chemical Element Symbol​

JSONPower Automate
chemicalElementSymbolChemical Element Symbol

Returns the symbol of the chemical element. For example: Ga.

Return datatype: string

Chemical Element Name​

JSONPower Automate
chemicalElementNameChemical Element Name

Returns the name of the chemical element. For example: Gallium.

Return datatype: string

Chemical Element Atomic Number​

JSONPower Automate
chemicalElementAtomicNumberChemical Element Atomic Number

Returns the atomic number of the chemical element. For example: 31.

Return datatype: number

Unit Name​

JSONPower Automate
unitNameUnit Name

Returns the name of the unit. For example: lux.

Return datatype: string

Unit Symbol​

JSONPower Automate
unitSymbolUnit Symbol

Returns the symbol of the unit. For example: lx.

Return datatype: string